# $Revision: 1.46 $, $Date: 2007/09/04 15:21:14 $
#
# Conditional build:
%bcond_without  doc	# don't build HTML documentation
%bcond_without  x11	# don't build tk GUI

Summary:	Smart decoder for uuencode, xxencode, Base64 and BinHex
Summary(pl.UTF-8):	Uniwersalny dekoder uuencode, xxencode, Base64 i BinHex
Summary(pt_BR.UTF-8):	UUDeview, decodificador de vários tipos de arquivos
Name:		uudeview
Version:	0.5.20
Release:	3
License:	GPL
Group:		Applications/File
Source0:	http://www.fpx.de/fp/Software/UUDeview/download/%{name}-%{version}.tar.gz
# Source0-md5:	0161abaec3658095044601eae82bbc5b
Patch0:		%{name}-shared.patch
Patch1:		%{name}-latex.patch
URL:		http://www.fpx.de/fp/Software/UUDeview/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
%if %{with doc}
BuildRequires:	tetex-dvips
BuildRequires:	tetex-format-latex
BuildRequires:	tetex-latex
BuildRequires:	tetex-latex-psnfss
BuildRequires:	tetex-tex-misc
BuildRequires:	transfig
%endif
%if %{with x11}
BuildRequires:	tcl-devel
BuildRequires:	tk-devel
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
UUDeview is a smart decoder for several surfaces which are common in
email and Usenet. It can decode uuencode, xxencode, Base64 and BinHex.
It can handle multiple files and multiple parts, even in random order.
Also an encoder is attached, UUEnview.

%description -l pl.UTF-8
UUDeview jest przydatnym narzędziem do dekodowania popularnych
formatów, takich jak uuencode, xxencode, Base64 i BinHex. Potrafi
poradzić sobie z wieloma plikami w wielu częściach, nawet
wymieszanych. W pakiecie znajduje się także program do kodowania
plików na wyżej wymienione formaty (oprócz BinHex).

%description -l pt_BR.UTF-8
Decodificador UUencode, XXencode, Base64, BinHex, etc. Inclui um
codificador.

%package x11
Summary:	xdeview - uudeview with a GUI
Summary(pl.UTF-8):	xdeview - uudeview z graficznym interfejsem
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description x11
xdeview - uudeview with a GUI.

%description x11 -l pl.UTF-8
xdeview - uudeview z graficznym interfejsem.

%package devel
Summary:	uulib header files
Summary(pl.UTF-8):	Pliki nagłówkowe uulib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
uulib header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe uulib.

%package static
Summary:	uulib static library
Summary(pl.UTF-8):	Statyczna biblioteka uulib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
uulib static library.

%description static -l pl.UTF-8
Statyczna biblioteka uulib.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%configure \
	%{!?with_x11:--disable-tcl}

%{__make}
%{?with_doc:%{__make} ps -C doc}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}

%{__make} install -C uulib \
	DESTDIR=$RPM_BUILD_ROOT

mv -f inews/README README.inews

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc HISTORY README*
%attr(755,root,root) %{_libdir}/libuu.so.*.*
%attr(755,root,root) %{_bindir}/minews
%attr(755,root,root) %{_bindir}/uudeview
%attr(755,root,root) %{_bindir}/uuenview
%{_mandir}/man1/uu*

%if %{with x11}
%files x11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/uuwish
%attr(755,root,root) %{_bindir}/xdeview
%{_mandir}/man1/xdeview.1*
%endif

%files devel
%defattr(644,root,root,755)
%{?with_doc:%doc doc/library.ps}
%attr(755,root,root) %{_libdir}/libuu.so
%{_libdir}/libuu.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libuu.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: uudeview.spec,v $
Revision 1.46  2007/09/04 15:21:14  baggins
- rel 3
- fixed doc build

Revision 1.45  2007/09/04 15:02:24  baggins
- rel 2

Revision 1.44  2007/02/12 22:09:19  glen
- tabs in preamble

Revision 1.43  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.42  2006/11/09 21:13:36  glen
- strict internal deps

Revision 1.41  2006/07/11 21:37:04  sparky
- without x11 bcond

Revision 1.40  2006/07/11 21:25:52  sparky
- %patch -> %patch0

Revision 1.39  2006/03/03 11:51:02  sparky
- transfig (fig2dev exactly) used only in documentation, BR moved

Revision 1.38  2006/01/28 18:20:42  areq
- BR bconf

Revision 1.37  2006/01/28 18:14:39  areq
- add bcond_without  doc

Revision 1.36  2005/09/08 16:00:40  pluto
- updated to 0.5.20 (buffer overflow fix).

Revision 1.35  2004/11/24 15:05:12  areq
- BR tetex-latex-psnfss

Revision 1.34  2004/01/08 09:59:18  qboosh
- updated libtool usage in shared patch, .la hack no longer needed; release 3

Revision 1.33  2004/01/02 18:12:31  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.32  2003/12/31 14:51:04  jajcus
- fix .la file by changing hardcoded /usr/lib to actual %{_libdir}

Revision 1.31  2003/11/25 11:15:28  yoshi
- Added BR: tetex-tex-misc

Revision 1.30  2003/11/24 12:18:06  averne
- fixed Source0-md5

Revision 1.29  2003/11/24 12:08:26  averne
- updated to 0.5.19

Revision 1.28  2003/08/18 08:09:37  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/07/13 21:24:41  areq
- BR tetex-format-latex

Revision 1.26  2003/05/28 13:02:32  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:27:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2002/11/25 14:18:46  ankry
- massive attack: no need for 755 for *.la

Revision 1.23  2002/10/09 08:33:32  qboosh
- BR: automake

Revision 1.22  2002/08/04 14:26:29  areq
- release 3: fix new %doc.

Revision 1.21  2002/06/29 11:45:04  kloczek
- release 2: use new %doc.

Revision 1.20  2002/05/21 23:14:53  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.19  2002/05/12 13:23:21  blues
- added BR: transfig

Revision 1.18  2002/05/12 13:17:23  kloczek
- merge translations from Conectiva.

Revision 1.17  2002/05/12 13:11:20  qboosh
- updated to 0.5.18
- build uulib as shared (added patch), added -devel and -static
- separated uuwish and xdeview to -x11 package
- more docs

Revision 1.16  2002/02/25 09:05:03  kloczek
- updated to 0.5.15,
- updated URL and Source url,
- added {tcl,kt}-devel to BuildRequires.

Revision 1.15  2002/02/23 05:04:56  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:52  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:15:16  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/10/17 21:44:47  qboosh
- release 5: run autoconf (2.52 ready)

Revision 1.11  2001/04/13 06:46:17  kloczek
- release 4,
- spec adapterized.

Revision 1.10  2001/04/10 15:30:01  baggins
- release 3
- rebuild with new tcl

Revision 1.9  2000/11/12 20:11:56  kloczek
- modyfications for using neew rpm automation.

Revision 1.8  2000/06/09 07:55:13  kloczek
- more %{__make} macros.

Revision 1.7  2000/06/09 07:24:01  kloczek
- added using %{__make} macro.

Revision 1.6  2000/04/01 11:15:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.4  2000/01/21 00:34:59  kloczek
- release 2,
- added passing LDFLAGS="-s" to ./configure enviroment for producing on
  linking stripped binaries.

Revision 1.3  1999/12/09 19:40:42  kloczek
- final cosmettics.

Revision 1.2  1999/12/07 12:56:27  kravietz
- minor fixes

Revision 1.1  1999/12/07 12:48:44  kravietz
- bddec6186d9e31e38d245f623e3f81c8  uudeview.spec
